Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739911 - ldtp fails to install in Fedora rawhide
Summary: ldtp fails to install in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ldtp
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1738947
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:29 UTC by Miro Hrončok
Modified: 2019-08-31 07:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:29:36 UTC
ldtp-3.5.0-15.fc31.noarch fails to install in Fedora rawhide:

  nothing provides gnome-python2-gconf needed by ldtp-3.5.0-15.fc31.noarch
  nothing provides gnome-python2-bonobo needed by ldtp-3.5.0-15.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 17:04:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Ben Cotton 2019-08-13 17:10:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Miro Hrončok 2019-08-21 15:47:07 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 4 Miro Hrončok 2019-08-28 11:59:58 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 5 Miro Hrončok 2019-08-30 11:57:38 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 6 Adam Williamson 2019-08-30 16:26:34 UTC
We don't really need a separate FE for every single package that was supposed to be retired but wasn't due to the freeze. We can just file a single bug to cover this situation, I think. I'm unproposing all the separate retirement bugs.

Comment 7 Miro Hrončok 2019-08-31 07:39:35 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.